on init {
  set number_of_collected_games 0
  set player_found_any_games 0
  set is_goblin_ready_for_suicide 0
  set is_goblin_dead 0

        TIMERwelcome -m 1 3000 gosub tutorial_welcome
      
  accept
}
on game_collected {

      inc number_of_collected_games 1

      if (number_of_collected_games == 1) {
        gosub tutorial_gave_game_to_goblin
      }
      if (number_of_collected_games == 2) {
        gosub achievement_found_games_small
      }
      if (number_of_collected_games == 5) {
        gosub achievement_found_games_medium
      }
      if (number_of_collected_games == 8) {
        gosub achievement_found_games_large
      }
    
  accept
}
on player_found_a_game {

      if (player_found_any_games == 0) {
        set player_found_any_games 1
        gosub tutorial_found_a_game
      }
    
  accept
}
on trash_thrown_over_the_fence {

      if (have_littered == 0) {
        set have_littered 1
        gosub achievement_littering
      }
    
  accept
}
on entered_at_the_game_displays_zone {

      if (number_of_collected_games < 7) {
        accept
      }

      if (is_goblin_dead == 1) {
        accept
      }

      if (is_goblin_ready_for_suicide == 1) {
        accept
      }

      set is_goblin_ready_for_suicide 1
      sendevent goblin_vanishes self nop
    
  accept
}
on entered_at_the_main_hall_zone {

      if (number_of_collected_games < 7) {
        accept
      }

      if (is_goblin_ready_for_suicide == 0) {
        accept
      }

      if (is_goblin_dead == 1) {
        accept
      }

      set is_goblin_dead 1
      sendevent goblin_suicide self nop
    
  accept
}
on goblin_suicide {

      objecthide seat_stool1_0001 yes

      objecthide seat_stool1_0002 no
      objecthide hanged_gob_0001 no
      objecthide pcgame_0002 no

      sendevent change_to_big_rigs l0_alicia_secretdoor_0001 nop
      sendevent emit_dying_sound hanged_gob_0001 nop

      // TODO: close the door
    
  accept
}
on goblin_vanishes {
destroy goblin_base_0001
  accept
}
on goblin_received_a_game {

      sendevent game_collected marker_0001 nop

      if (^$param1 == "mesterlovesz") {
        sendevent mount gamedisplay_0001 nop
      }
      if (^$param1 == "mortyr") {
        sendevent mount gamedisplay_0002 nop
      }
      if (^$param1 == "wolfschanze") {
        sendevent mount gamedisplay_0003 nop
      }
      if (^$param1 == "traktor-racer") {
        sendevent mount gamedisplay_0004 nop
      }
      if (^$param1 == "americas-10-most-wanted") {
        sendevent mount gamedisplay_0005 nop
      }
      if (^$param1 == "big-rigs") {
        sendevent mount gamedisplay_0006 nop
      }
      if (^$param1 == "streets-racer") {
        sendevent mount gamedisplay_0007 nop
      }
      if (^$param1 == "bikini-karate-babes") {
        sendevent mount gamedisplay_0008 nop
      }
    
  accept
}

>>tutorial_welcome {

    play -o "system"
    herosay [tutorial--welcome]
    quest [tutorial--welcome]
  

  return
}
>>tutorial_found_a_game {

    play -o "system"
    herosay [tutorial--found-a-game]
    quest [tutorial--found-a-game]
  

  return
}
>>tutorial_gave_game_to_goblin {

    play -o "system"
    herosay [tutorial--gave-game-to-goblin]
    quest [tutorial--gave-game-to-goblin]
  

  return
}
>>achievement_found_games_small {

    play -o "system3"
    herosay [achievement--collected-games-small]
    quest [achievement--collected-games-small]
  

  return
}
>>achievement_found_games_medium {

    play -o "system3"
    herosay [achievement--collected-games-medium]
    quest [achievement--collected-games-medium]
  

  return
}
>>achievement_found_games_large {

    play -o "system3"
    herosay [achievement--collected-games-large]
    quest [achievement--collected-games-large]
  

  return
}
>>achievement_littering {

    play -o "system3"
    herosay [achievement--littering]
    quest [achievement--littering]
  

  return
}